%global commit 17dd47
%global alt_name GPaste

Name:           gpaste
Version:        1.2
Release:        1%{?dist}
Summary:        Clipboard management system

Group:          User Interface/Desktops
License:        GPLv3+
URL:            https://github.com/Keruspe/GPaste
Source0:        https://github.com/downloads/Keruspe/%{alt_name}/%{name}-%{version}.tar.xz
Patch0:         %{name}-0.99-remove_applet_refs.patch

BuildRequires:  gtk3-devel
BuildRequires:  intltool
BuildRequires:  vala

%description
gpasted is a clipboard management daemon with DBus interface. gpaste is its CLI
client and gpaste-settings is a tool to edit gpasted settings.


%package -n gnome-shell-extension-%{name}
Summary:        GNOME Shell extension for GPaste
Group:          User Interface/Desktops
Requires:       gnome-shell
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description -n gnome-shell-extension-%{name}
%{summary}.


%prep
%setup -q
%patch0 -p1 -b .disable_applet_refs


%build
# Applet disabled since it is unusable in GNOME 3
%configure --disable-schemas-compile --disable-applet
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Install bash/zsh completion support
install -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/
install -pm 0644 completions/%{name} -t $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/
install -d $RPM_BUILD_ROOT%{_datadir}/zsh/site-functions/
install -pm 0644 completions/_%{name} -t $RPM_BUILD_ROOT%{_datadir}/zsh/site-functions/

%find_lang %{alt_name}


%postun
if [ $1 -eq 0 ] ; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f %{alt_name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/zsh/
%{_mandir}/man1/%{name}.1.*
%{_sysconfdir}/bash_completion.d


%files -n gnome-shell-extension-%{name}
%{_datadir}/gnome-shell/extensions/GPaste@gnome.org/


%changelog
* Sun Jul 10 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.2-1
- Update to 1.2

* Sat Jun 25 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.99-1.17dd47git
- Initial RPM release
